﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Animation;

namespace Охота_на_Cкалоедов
{
    // КЛАСС ОХОТНИКА
    internal class Ohotnik : Kartinka
    {
        public Ohotnik(Canvas canvas, int col = 0, int row = 0) : base(canvas, col, row)
        {
            Item = MainWindow.OHOTNIK;
        }


        // АНИМИРОВАННЫЙ ПЕРЕХОД
        public void Animation(int dcol, int drow)
        {
            // создаём анимацию:
            var da = new DoubleAnimation();
            // время анимации:
            da.Duration = new Duration(TimeSpan.FromSeconds(.2));

            // направление и расстояние перехода:
            if (dcol != 0)
            {
                da.By = MainWindow.CELL_WIDTH * dcol;
                BeginAnimation(Canvas.LeftProperty, da);
            }
            else
            {
                da.By = MainWindow.CELL_HEIGHT * drow;
                BeginAnimation(Canvas.TopProperty, da);
            }

            // новвя клетка:
            col += dcol;
            row += drow;
            //x += dcol * MainWindow.CELL_WIDTH;
            //y += drow * MainWindow.CELL_HEIGHT;
        }
    }
}
